DO $$ 
BEGIN
		BEGIN
          IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build">=1808) THEN
		RETURN;
          END IF;
		  
		ALTER TABLE public."AuthUserActions" ADD "OsNew" character varying(128);
		ALTER TABLE public."AuthUserActions" ADD "BrowserNew" character varying(128);
		UPDATE public."AuthUserActions" SET "OsNew" = "Os", "BrowserNew" = "Browser";
		ALTER TABLE public."AuthUserActions" DROP "Os";
		ALTER TABLE public."AuthUserActions" DROP "Browser";
		ALTER TABLE public."AuthUserActions" RENAME "OsNew" TO "Os";
		ALTER TABLE public."AuthUserActions" RENAME "BrowserNew" TO "Browser";
		
		EXCEPTION
            WHEN OTHERS THEN RAISE NOTICE 'Alter table <AuthUserActions> error.';
        END;
   
END$$
